Get GSC performance report
curl --request GET \
--url https://www.citedy.com/api/agent/gsc/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.citedy.com/api/agent/gsc/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.citedy.com/api/agent/gsc/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connected": true,
"reportDate": "2023-12-25",
"summary": {
"clicks": 123,
"impressions": 123,
"ctr": 123,
"position": 123,
"clicksChangePct": 123,
"impressionsChangePct": 123
},
"cached": true,
"gscProperty": "<string>",
"rangeDays": 123,
"topQueries": [
{
"query": "<string>",
"clicks": 123,
"impressions": 123,
"ctr": 123,
"position": 123
}
],
"topPages": [
{
"page": "<string>",
"clicks": 123,
"impressions": 123,
"ctr": 123,
"position": 123
}
],
"movers": {
"gainers": [
{}
],
"losers": [
{}
]
},
"opportunities": [
{}
],
"articleSuggestions": [
{
"keyword": "<string>",
"reason": "<string>",
"impressions": 123,
"position": 123,
"opportunityScore": 123,
"workflow": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Gsc
Get GSC performance report
Returns Google Search Console performance report with clicks, impressions, CTR, positions, top queries, top pages, movers, opportunities, and article suggestions. Returns connect URL if GSC is not linked. Free (0 credits).
GET
/
api
/
agent
/
gsc
/
report
Get GSC performance report
Authorizations
Bearer citedy_agent_* key
Query Parameters
Force fresh GSC data fetch instead of cached morning report
Response
GSC report (connected) or connect URL (not connected)
- Option 1
- Option 2
Available options:
true Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
